#
# spec file for package autoyast2 (Version 2.14.16)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 checkmedia coreutils cpio cpp cpp41 cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils docbook-xsl-stylesheets docbook_4 e2fsprogs expat expect file filesystem fillup findutils flex fontconfig fop gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv java-1_5_0-sun java-1_5_0-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc41 libgcrypt libgpg-error libicu libidn libltdl libmudflap41 libnscd libstdc++41 libtool libusb libvolume_id libxcrypt libxml2 libxslt liby2util libzio libzypp limal limal-bootloader limal-perl linux-kernel-headers m4 make man master-boot-code mdadm mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-modules parted patch pcre perl perl-Bootloader perl-Compress-Zlib perl-XML-Writer perl-gettext permissions pkgconfig pm-utils pmtools popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcl tcpd texinfo timezone unzip update-alternatives update-desktop-files util-linux vim xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile yast2 yast2-bootloader yast2-core yast2-country yast2-devtools yast2-firewall yast2-hardware-detection yast2-installation yast2-mouse yast2-packager yast2-perl-bindings yast2-pkg-bindings yast2-slp yast2-storage yast2-storage-lib yast2-testsuite yast2-transfer yast2-update zlib zlib-devel

Name:           autoyast2
URL:            http://www.suse.de/~ug
Version:        2.14.16
Release:        0.1
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        autoyast2-2.14.16.tar.bz2
prefix:		/usr
BuildRequires:  docbook-xsl-stylesheets fop java-1_5_0-sun-devel libxslt perl-XML-Writer pkg-config sgml-skel update-alternatives update-desktop-files xorg-x11-libs yast2-bootloader yast2-devtools yast2-mouse yast2-testsuite yast2-transfer yast2-update
Requires:       yast2-core yast2-xml libxslt
Requires:       autoyast2-installation = %{version}
Requires:       yast2-schema
Provides:       yast2-module-autoinst yast2-config-autoinst
Obsoletes:      yast2-module-autoinst yast2-config-autoinst
Provides:       yast2-lib-autoinst
Obsoletes:      yast2-lib-autoinst
PreReq:         %insserv_prereq %fillup_prereq
BuildArchitectures:	noarch
Summary:        YaST2 Automated Installation

%description
This package is intended for management of the control files and the
AutoYaST2 configurations. This system should only be used by
experienced system administrators. Warning: AutoYaST2 performs the
installation without any user intervention, warnings, or confirmations
(unless specified otherwise in the control file).

This file contains YaST2-independent files needed to create
installation sources.



Authors:
--------
    Uwe Gansert <ug@suse.de>
    Anas Nashif

%debug_package
%package installation
Version:        2.14.16
Release:        0.1
Summary:        YaST2 - Auto Installation Modules
Group:          System/YaST
Requires:       yast2-xml yast2-core
Requires:       yast2-transfer
Provides:       yast2-trans-autoinst
Obsoletes:      yast2-trans-autoinst

%description installation
This package performs auto-installation relying on a control file
generated with the autoyast2 package.



Authors:
--------
    Uwe Gansert <ug@suse.de>
    Anas Nashif

%prep
%setup -n autoyast2-2.14.16

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}
[ -n "$JAVA_HOME" ] && unset JAVA_HOME
. /usr/share/java-utils/java-functions
export JAVA_HOME

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
for d in `ls $RPM_BUILD_ROOT/usr/share/autoinstall/modules/*.desktop`; do
    %suse_update_desktop_file $d
done
# Class conf
install -d -m 700 $RPM_BUILD_ROOT/etc/autoinstall
# Installation files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/scripts
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/init.d
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/logs
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/files
install -d -m 700 $RPM_BUILD_ROOT/var/adm/autoinstall/cache
# Repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/templates
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/rules
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/repository/classes
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/autoconf
install -d $RPM_BUILD_ROOT/var/lib/autoinstall/tmp

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
%{fillup_only -n autoinstall}

%files
%defattr(-,root,root)
%dir /etc/autoinstall
%dir /usr/share/YaST2/include/autoinstall
%dir /var/lib/autoinstall/repository
%dir /var/lib/autoinstall/repository/templates
%dir /var/lib/autoinstall/repository/rules
%dir /var/lib/autoinstall/repository/classes
%dir /var/lib/autoinstall/tmp
%doc %{prefix}/share/doc/packages/autoyast2
%{prefix}/share/applications/YaST2/autoyast.desktop
/usr/share/autoinstall/modules/*.desktop
/usr/share/YaST2/include/autoinstall/classes.ycp
/usr/share/YaST2/include/autoinstall/conftree.ycp
/usr/share/YaST2/include/autoinstall/dialogs.ycp
/usr/share/YaST2/include/autoinstall/partition_dialogs.ycp
/usr/share/YaST2/include/autoinstall/script_dialogs.ycp
/usr/share/YaST2/include/autoinstall/general_dialogs.ycp
/usr/share/YaST2/include/autoinstall/wizards.ycp
/usr/share/YaST2/include/autoinstall/helps.ycp
/usr/share/YaST2/schema/autoyast/rnc/*.rnc
/usr/share/autoinstall/rnc
/usr/share/YaST2/clients/general_auto.ycp
/usr/share/YaST2/clients/report_auto.ycp
/usr/share/YaST2/clients/classes_auto.ycp
/usr/share/YaST2/clients/scripts_auto.ycp
/usr/share/YaST2/clients/software_auto.ycp
/usr/share/YaST2/clients/storage_auto.ycp
/usr/share/YaST2/clients/autoyast.ycp
/usr/share/YaST2/clients/clone_system.ycp
/usr/share/YaST2/scrconf/cfg_flamethrower.scr
/usr/share/YaST2/scrconf/ksimport.scr
/usr/share/YaST2/modules/AutoinstClass.y*
/usr/share/YaST2/modules/Kickstart.y*
/usr/lib/YaST2/servers_non_y2/ag_ksimport
# additional files
/var/adm/fillup-templates/sysconfig.autoinstall

%files installation
%defattr(-,root,root)
/usr/share/YaST2/scrconf/autoinstall.scr
/usr/share/YaST2/scrconf/cfg_autoinstall.scr
# DTD files
%dir /usr/share/autoinstall
%dir /usr/share/autoinstall/dtd
%dir /usr/share/autoinstall/modules
/usr/share/autoinstall/dtd/*
/etc/init.d/autoyast
%dir /usr/share/autoinstall/xslt
/usr/share/autoinstall/xslt/merge.xslt
# config file
/usr/share/YaST2/modules/AutoinstClone.y*
%dir /usr/share/YaST2/include/autoinstall
/usr/share/YaST2/include/autoinstall/autopart.ycp
/usr/share/YaST2/include/autoinstall/io.ycp
/usr/share/YaST2/include/autoinstall/autoinst_dialogs.ycp
/usr/share/YaST2/control/*.xml
/usr/share/YaST2/modules/AutoInstall.y*
/usr/share/YaST2/modules/AutoinstScripts.y*
/usr/share/YaST2/modules/AutoinstGeneral.y*
/usr/share/YaST2/modules/AutoinstImage.y*
/usr/share/YaST2/modules/Y2ModuleConfig.y*
/usr/share/YaST2/modules/Profile.y*
/usr/share/YaST2/modules/AutoinstFile.y*
/usr/share/YaST2/modules/AutoinstConfig.y*
/usr/share/YaST2/modules/AutoinstSoftware.y*
/usr/share/YaST2/modules/AutoinstLVM.y*
/usr/share/YaST2/modules/AutoinstRAID.y*
/usr/share/YaST2/modules/AutoinstStorage.y*
/usr/share/YaST2/modules/AutoInstallRules.y*
/usr/share/YaST2/modules/ProfileLocation.y*
#clients
/usr/share/YaST2/clients/inst_autoinit.ycp
/usr/share/YaST2/clients/inst_autoimage.ycp
/usr/share/YaST2/clients/inst_autosetup.ycp
/usr/share/YaST2/clients/inst_autoconfigure.ycp
/usr/share/YaST2/clients/inst_autopost.ycp
/usr/share/YaST2/clients/files_auto.ycp
/usr/share/YaST2/clients/autoinst_test_clone.ycp
/usr/share/YaST2/clients/autoinst_test_stage.ycp
/usr/share/YaST2/clients/autoinst_scripts1_finish.ycp
/usr/share/YaST2/clients/autoinst_scripts2_finish.ycp
/usr/share/YaST2/clients/ayast_probe.ycp
/usr/share/YaST2/include/autoinstall/xml.ycp
/usr/share/YaST2/include/autoinstall/ask.ycp
%dir /var/adm/autoinstall/
%dir /var/adm/autoinstall/scripts
%dir /var/adm/autoinstall/init.d
%dir /var/adm/autoinstall/logs
%dir /var/adm/autoinstall/files
%dir /var/adm/autoinstall/cache
%dir /var/lib/autoinstall
%dir /var/lib/autoinstall/autoconf

%changelog -n autoyast2
* Thu Jan 11 2007 - ug@suse.de
- package selection is read from the current system
  instead of being empty (#231687)
- 2.14.16
* Wed Nov 15 2006 - ug@suse.de
- rnc check disabled if jing is not installed (#214906)
- 2.14.15
* Mon Nov 13 2006 - ug@suse.de
- 2.14.14
* Mon Nov 13 2006 - ug@suse.de
- schema check for cloning after manual installation turned off
* Mon Nov 13 2006 - ug@suse.de
- logical Volume creation fixed (#220322)
- schema files removed
* Mon Nov 06 2006 - ug@suse.de
- 'remove-package' fixed (#183267)
- 2.14.13
* Tue Oct 31 2006 - ug@suse.de
- turn off rnc check in stage cont
- 2.14.12
* Mon Oct 30 2006 - ug@suse.de
- 2.14.11
* Wed Oct 18 2006 - ug@suse.de
- fix in the partitioning dialog
* Wed Oct 18 2006 - ug@suse.de
- minor changes in the software cloning
* Tue Oct 17 2006 - ug@suse.de
- support for selections dropped
* Tue Oct 17 2006 - ug@suse.de
- autoyast2-utils dropped
  (use inst-server-utils instead)
- 2.14.10
* Mon Oct 16 2006 - ug@suse.de
- Signature checks turned off in UI
* Fri Oct 13 2006 - ug@suse.de
- dropped some useless code in autopart.ycp
* Thu Oct 12 2006 - ug@suse.de
- 2.14.9
* Wed Oct 11 2006 - ug@suse.de
- compat fix for yast2-storage
* Tue Oct 10 2006 - ug@suse.de
- proofreaded text
* Mon Oct 09 2006 - ug@suse.de
- experimental imaging feature added
- strict schema check in cloning and saving added
- some schema updates
- 2.14.8
* Thu Sep 21 2006 - ug@suse.de
- fix in partition edit dialog (#206681)
* Wed Sep 20 2006 - ug@suse.de
- 2.14.7
* Mon Sep 18 2006 - ug@suse.de
- a resource can turn off the logging of it's data from the
  profile for security reasons (Bug #192605)
* Fri Sep 08 2006 - ug@suse.de
- 'halt' documented and added to UI
- schema fixes
* Tue Sep 05 2006 - ug@suse.de
- reusing all 4 primaries fails (fixed)
* Mon Sep 04 2006 - ug@suse.de
- order partitions alway by partition_nr
- schema files updated
* Thu Aug 31 2006 - ug@suse.de
- 2.14.6
* Wed Aug 30 2006 - ug@suse.de
- resize feature added (fate #301130)
* Mon Aug 28 2006 - ug@suse.de
- reimport scripts after the ask dialog
- minor documentation updates
* Fri Aug 25 2006 - ug@suse.de
- the <ask> feature can store the answer in a file now
* Thu Aug 24 2006 - ug@suse.de
- error handling for ftp access fixed
- configure and install removed from the examples
* Thu Aug 24 2006 - ug@suse.de
- "by-path" fixed for <device> configuration in
  partitioning (#200899)
* Thu Aug 17 2006 - ug@suse.de
- partition sizes can be configured in %% now
* Wed Aug 16 2006 - ug@suse.de
- fix for "<remove-packages> are cloned now"
- 2.14.5
* Wed Aug 16 2006 - ug@suse.de
- 2.14.4
* Wed Aug 16 2006 - ug@suse.de
- <remove-packages> are cloned now
* Fri Aug 11 2006 - ug@suse.de
- reuse partitions in UI (#158855)
* Tue Aug 08 2006 - ug@suse.de
- exclude partitions that are NOT supposed to be
  in the LVM/EVMS
* Wed Aug 02 2006 - ug@suse.de
- scripts documentation fixed
* Wed Aug 02 2006 - ug@suse.de
- device guessing code enhanced
* Fri Jul 14 2006 - ug@suse.de
- typos fixed
- 2.14.3
* Fri Jul 14 2006 - ug@suse.de
- 2.14.2
* Wed Jul 12 2006 - ug@suse.de
- don't call the add-on_auto client in 2nd stage
  (#188665)
* Mon Jul 10 2006 - ug@suse.de
- signature-handling added to UI (#187696)
* Fri Jul 07 2006 - ug@suse.de
- fixed the pattern selection dialog when a add-on
  product was configured before (#187568)
* Thu Jul 06 2006 - ug@suse.de
- inst-source and autoyast profile can be on the same
  partition now
* Thu Jun 29 2006 - ug@suse.de
- don't ignore the <report> section during stage2
* Thu Jun 29 2006 - ug@suse.de
- is_*_vg is deprecated now. Use <type> instead
- import_gpg_key added (merged from SLES10)
- compatibility code for old profiles is more robust now
  and can handle SLES9 / SLES10 mixed profiles
- 2.14.1
* Mon Jun 19 2006 - ug@suse.de
- fix for <remove-package> in profile
  [#186205] and #183267
- 2.14.00
* Thu Jun 08 2006 - ug@suse.de
- fixed boot partition on PPC (#178831)
- 2.13.67
* Tue Jun 06 2006 - ug@suse.de
- verified fix for automagically added boot partitions
  (#178831)
- 2.13.66
* Thu Jun 01 2006 - ug@suse.de
- fix for automagically added boot partitions (#178831) reloaded
- 2.13.65
* Thu Jun 01 2006 - ug@suse.de
- retry fix for automagically added boot partitions (#178831)
- 2.13.64
* Thu Jun 01 2006 - ug@suse.de
- fix for automagically added boot partitions (#178831)
- 2.13.63
* Mon May 29 2006 - ug@suse.de
- better logging during cloning
- fix for pattern UI
- documentation fixed by odabrunz (#178831)
- 2.13.62
* Fri May 19 2006 - ug@suse.de
- start_immediately is true per default now
  That raises the network up immediately after
  configuring it.
- 2.13.61
* Wed May 17 2006 - ug@suse.de
- fixed rounding errors that can hit the
  "max" calculation for LV in an LVM or EVMS
- 2.13.60
* Tue May 16 2006 - ug@suse.de
- fix for #174262 (conflict in software selection)
- fix for #175781
  after selecting patterns in autoyast, none show as
  being selected
- 2.13.59
* Fri May 12 2006 - ug@suse.de
- fix for add-on product usage (#172837c#9)
- fix for cloning on PPC (#160606)
- 2.13.58
* Thu May 04 2006 - ug@suse.de
- proof readed text
- 2.13.57
* Tue May 02 2006 - ug@suse.de
- fixed Software selection in autoyast UI (#171309)
- 2.13.56
* Fri Apr 28 2006 - ug@suse.de
- fixed package cloning on selection based systems
- 2.13.55
* Fri Apr 28 2006 - ug@suse.de
- fixed package cloning on pattern based system
- 2.13.54
* Fri Apr 28 2006 - ug@suse.de
- fixed primary partition cloning (#170597)
- 2.13.53
* Fri Apr 28 2006 - ug@suse.de
- add-on products documentation added
- 2.13.52
* Wed Apr 26 2006 - ug@suse.de
- signature-handling documentation added
* Tue Apr 25 2006 - ug@suse.de
- signature-handling in cont stage fixed
- 2.13.51
* Tue Apr 25 2006 - ug@suse.de
- signature handling fixed for second stage
- 2.13.50
* Mon Apr 24 2006 - jsrain@suse.de
- fixed order of target and source initialization (#168734)
- 2.13.49
* Fri Apr 21 2006 - ug@suse.de
- callbacks for signature checking added
- 2.13.48
* Fri Apr 21 2006 - ug@suse.de
- fixed auto added partition on PPC
  (#160606)
- 2.13.47
* Wed Apr 19 2006 - ug@suse.de
- create_package_descr updated
- 2.13.46
* Wed Apr 19 2006 - ug@suse.de
- fixed using of the 'add_on_products'-file
- 2.13.45
* Tue Apr 18 2006 - ug@suse.de
- fixed support for add-on products in
  create_update_source.sh
- 2.13.44
* Thu Apr 13 2006 - ug@suse.de
- cloning individually selected packages if selections
  are in use
- 2.13.43
* Tue Apr 11 2006 - ug@suse.de
- cloning encrypted partitions fixed
- 2.13.42
* Mon Apr 10 2006 - ug@suse.de
- fixed the creation of encrypted partitions
- 2.13.41
* Fri Apr 07 2006 - ug@suse.de
- cloning individually selected packages if patterns
  are in use correctly
- 2.13.40
* Wed Apr 05 2006 - ug@suse.de
- Cloning EVMS fixed
- fixed a 'find' warining (#162725)
  in create_package_descr (thanx to hou ghi)
- 2.13.39
* Fri Mar 31 2006 - ug@suse.de
- creating EVMS fixed (missing mountpoints)
- 2.13.38
* Wed Mar 29 2006 - jsrain@suse.de
- fixed add-on products installation integration (#161792)
- 2.13.37
* Wed Mar 29 2006 - ug@suse.de
- set SoftLock to avoid the installation of recommended
  patterns (#159466)
- 2.13.36
* Tue Mar 28 2006 - ug@suse.de
- addon support dropped.
  In the current state, it breaks autoinstallation
- shrink partitions that are too big (#155911)
- set type to primary while cloning if needed
- 2.13.35
* Fri Mar 24 2006 - ug@suse.de
- fixed partition id of /boot/efi
  must really be 259
- 2.13.34
* Wed Mar 22 2006 - ug@suse.de
- merging is configureable now
- 2.13.33
* Tue Mar 21 2006 - mvidner@suse.cz
- Moved online update code back from autoyast2 to
  yast2-online-update (#151213).
- 2.13.32
* Fri Mar 17 2006 - ug@suse.de
- cloning of /boot/efi vfat works now (#155918)
- reset previous settings in software config in the UI
- code activated for Bug #82867 (device by udev-id)
- software configuration for selections fixed in UI
- 2.13.31
* Fri Mar 17 2006 - jsuchome@suse.cz
- correct rug command to install patches (#149903)
* Wed Mar 15 2006 - ug@suse.de
- mountby path and id implemented
- reuse by mountby fixed
- prepare the fix for #82867 - device 'by-id' instead by name
- 2.13.30
* Tue Mar 14 2006 - ug@suse.de
- 2.13.29
* Tue Mar 14 2006 - jsuchome@suse.cz
- online-update: install rug when automatic online-update is enabled
* Tue Mar 14 2006 - ug@suse.de
- execute init scripts in a sorted order now
- patterns documented
* Thu Mar 09 2006 - ug@suse.de
- pattern support for the UI
- 2.13.28
* Wed Mar 08 2006 - ug@suse.de
- special merging for config_file and sysconfig_entry
- added patterns to the cloning code
- 2.13.27
* Wed Mar 08 2006 - ug@suse.de
- first step of support for patterns during installation added
- 2.13.26
* Tue Mar 07 2006 - ug@suse.de
- BuildRequires fixed
- 2.13.25
* Mon Mar 06 2006 - ug@suse.de
- fixed the "ask" dialog for the "cont" stage
- 2.13.24
* Tue Feb 28 2006 - ug@suse.de
- fixed #153950 (scripts in background don't work)
- 2.13.23
* Fri Feb 24 2006 - ug@suse.de
- cloning 'mountby' fixed
- fixing the proposal for timezone (#148032)
- fixed compatibility code for country clients (#148032)
- 2.13.22
* Fri Feb 17 2006 - ug@suse.de
- fix for "mountby label" (#150020)
- 2.13.21
* Fri Feb 17 2006 - jsuchome@suse.cz
- added API for Online Update (#151213)
- 2.13.20
* Fri Feb 10 2006 - ug@suse.de
- fixed #149658
  autoyast installation ends with no hard disks were found
  on s390
* Mon Feb 06 2006 - ug@suse.de
- 'general' dialog in the UI updated
- partition dialog updated
- don't clone the region.
- added LVM and EVMS support to the UI
- 2.13.18
* Mon Jan 30 2006 - ug@suse.de
- UI for scripts enhanced, so it supports all features
- 2.13.17
* Fri Jan 27 2006 - ug@suse.de
- scripts can show feedback now
- 2.13.16
* Tue Jan 24 2006 - ug@suse.de
- code cleanup
- partition docu enhanced
- one can clone a system more than one time·
  now with the UI
- proof readed texts
- 2.13.15
* Tue Jan 24 2006 - mvidner@suse.cz
- Fixed rnc syntax errors that broke yast2-schema.rpm.
* Mon Jan 23 2006 - ug@suse.de
- udev queue is active again, even with pre-script
* Mon Jan 23 2006 - ug@suse.de
- reimport scripts section after pre-script
- RNC files updated
- documentation update
- fix filesystem_id, partition_id mixup
- 2.13.13
* Thu Jan 12 2006 - ug@suse.de
- cloning LVM fixed
- cloning RAID fixed
- catching XML and transfer errors and show them in a popup
- 2.13.12
* Thu Jan 05 2006 - ug@suse.de
- warn on packages that can't be found on inst-source
  with a popup
- check if the profile logic is okay or if important
  stuff is missing (like the root password)
  Bug #116098
- https scheme enabled. So the profile can be
  fetched of an encrypted channel
- 2.13.11
* Mon Dec 19 2005 - ug@suse.de
- EVMS support added
- proof read texts
- 2.13.10
* Mon Dec 12 2005 - ug@suse.de
- "ask" feature enhanced
- 2.13.9
* Mon Dec 05 2005 - ug@suse.de
- "mountby" parameter implemented
- cleanup for the "clone system" checkbox
- "ask for certain values" feature implemented
  (feature #280)
- 2.13.8
* Tue Nov 29 2005 - ug@suse.de
- PXE boot documentation added
- option to turn off autointallation in the second
  stage added
- yast2-x11 removed from build dependency
- 2.13.7
* Wed Nov 23 2005 - ug@suse.de
- some software raid fixes
- 2.13.6
* Fri Nov 18 2005 - ug@suse.de
- some documentation fixed
- cloning extended partitions fixed
- 2.13.5
* Wed Nov 16 2005 - ug@suse.de
- clone_system client added
- 2.13.4
* Tue Nov 15 2005 - ug@suse.de
- it's possible to change <general> section now via pre-script
- it's possible to override <confirm>no</confirm> via
  y2confirm on the linuxrc commandline
- create_update_source.sh added to utils package
- added some sections to the dontmerge parameter
- added the pre-probing stage (especially for s390)
- fixes for better support for the new language_auto client
  including more backward compatibility code
- 2.13.3
* Tue Nov 08 2005 - ug@suse.de
- fixed Bug #104372
  language, timezone and keyboard use the
  official autoyast API now
- Documentation fixed, "configure" and
  "install" are documented as deprecated now
- Documentation fixed, "range" is documented now
- fixing #130140 reported for SLES9 but still valid
  classes repository location changes do not take effect
- matchtype "regex" added
- fixed the use of nested devices in autoyast=device://...
- fixing #130959 (merging fails).
  This might need some more work, to fix double entries too
- slight correction to the linuxrc stuff
  Bug #119977
- 2.13.2
* Mon Oct 10 2005 - mvidner@suse.cz
- Install profile-misc.rnc
- Cut down partitioning.rnc to make it compile.
- 2.13.1
* Fri Sep 30 2005 - ug@suse.de
- Added RNC for rules and classes
- If no repartitioning is need and just some
  partitions are formatted, autoyast fails.
  This should be fixed now.
- compatibility fix for new storage lib.
  Creating encrypted partitions is fixed now. (#118594)
- size=max is now possible for logical volumes
* Fri Sep 23 2005 - mvidner@suse.cz
- use also the Relax NG schema for validation (xmllint and jing).
- RNC schema: added partitioning and reporting,
  moved nfs client and server to their packages.
- use @fillupdir@ to allow prefixed builds.
- 2.13.0
* Mon Sep 12 2005 - ug@suse.de
- prevent trouble if one is doing partitioning
  in a pre-script. This can lead to trouble
  because of non existing devices (udev fiasco)
- 2.12.18
* Thu Sep 08 2005 - ug@suse.de
- if one modifies the partition table in a pre script, we will
  recognize this now by rereading the partition table
- 2.12.17
* Thu Sep 08 2005 - ug@suse.de
- hook to be compatibel with the autoyast
  documentation for reusing partitions
  create=false + partition_nr > 0 did not work
- 2.12.16
* Tue Sep 06 2005 - ug@suse.de
- developer documentation added
- documentation fixed
- 2.12.15
* Mon Sep 05 2005 - ug@suse.de
- compatibility fix for new storage library
  a missing filesystem type leads to reiserfs always.
  That's bad for a swap partition with new storage lib
- 2.12.14
* Fri Aug 26 2005 - ug@suse.de
- compatibility fix for libsax
- ayast_probe.ycp client added
- 2.12.13
* Tue Aug 23 2005 - ug@suse.de
- fix for compatibility with new storage lib
  (wipe out partition table was broken)
- Documentation update
- 2.12.12
* Fri Aug 19 2005 - ug@suse.de
- pdf documentation added
- compatibility fix for new storage library
- UI shows the name of the current profile
- 2.12.11
* Wed Aug 17 2005 - ug@suse.de
- compatibility to storage lib
  (type was missing in TargetMap)
- 2.12.10
* Tue Aug 16 2005 - ug@suse.de
- harddisk autodetection now selectable in UI
- 2.12.9
* Tue Aug 16 2005 - arvin@suse.de
- adapted partition_dialogs.ycp to new yast2-storage
- 2.12.8
* Mon Aug 15 2005 - ug@suse.de
- missing images and stylesheet in docu fixed
- 2.12.7
* Fri Aug 12 2005 - ug@suse.de
- compatibility fix in the UI for the timezone dialog
- 2.12.6
* Wed Aug 10 2005 - ug@suse.de
- Fixes for compatibility to new storage library
- fix for flat profile
- 2.12.5
* Fri Jul 29 2005 - jsrain@suse.cz
- added missing parameter to DlgCreateCryptFs function call
- 2.12.4
* Wed Jul 20 2005 - jsrain@suse.cz
- stopped including non-existing file
- 2.12.3
* Mon Jul 18 2005 - arvin@suse.de
- added yast2-storage-lib to neededforbuild
* Thu Jul 14 2005 - ug@suse.de
- documentation enhanced/fixed
- fix for "new profile" in UI
- changes for new Storags Library code
* Tue May 17 2005 - ug@suse.de
- merged some changes from 9.3 branch to HEAD
- 2.12.1
* Mon May 16 2005 - jsrain@suse.cz
- renamed defult variable
- 2.12.0
* Thu Apr 28 2005 - jsrain@suse.cz
- added clients for running scripts during inst_finish
* Mon Feb 21 2005 - nashif@suse.de
- Fixed handling of using existing fstab for partitioning
- V 2.11.9
* Fri Feb 18 2005 - nashif@suse.de
- Adapted spec file
- V 2.11.8
* Wed Feb 16 2005 - nashif@suse.de
- Reworked partitioning
- Use more common functions from storage
* Mon Feb 07 2005 - nashif@suse.de
- Merged proof-read texts
- 2.11.6
* Mon Feb 07 2005 - nashif@suse.de
- Adapted language settings
- Disable X if not configured in control file
- 2.11.5
* Mon Jan 31 2005 - nashif@suse.de
- Read module dependencies from desktop files
- 2.11.4
* Wed Jan 05 2005 - jsrain@suse.cz
- adaped to new interface of Kernel.ycp
- 2.11.3
* Sun Nov 14 2004 - nashif@suse.de
- Removed deprecated lookup/select.
* Wed Oct 27 2004 - nashif@suse.de
- adapted to new Mode:: interface
- adapted documentation for new devtools
* Wed Oct 20 2004 - nashif@suse.de
- Doc updates
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to new Arch:: interface
* Wed Sep 29 2004 - nashif@suse.de
- Import before Write when configuring users (#46335)
* Fri Sep 24 2004 - nashif@suse.de
- Removed alice dependencies
- Import configuration into module when reading kickstart
  files
- Fixed rules, do not treat lvm and raid as harddisks
* Mon Sep 20 2004 - nashif@suse.de
- install packages dependent on configuration in continue mode
- Fixed rules with a workarounf for the stack overflow bug
- Fixed dtd
* Mon Sep 13 2004 - nashif@suse.de
- Fixed scripts client to not delete config when user changes data
- Fixed rules script
- 2.10.10
* Mon Sep 06 2004 - visnov@suse.cz
- ComputeKernelPackages moved to Kernel.ycp
* Tue Aug 31 2004 - nashif@suse.de
- merged proofread messages
* Tue Aug 31 2004 - nashif@suse.de
- use modified flag (#43904) in auto clients
* Thu Aug 26 2004 - nashif@suse.de
- Export and Import configurations globally and not on a module basis
- Improved configuration dialog in continue mode
* Tue Aug 24 2004 - nashif@suse.de
- Added missing example
- Fixed makefile
* Tue Aug 24 2004 - nashif@suse.de
- Fixed file retrieval per FTP
- Added schema files
* Wed Aug 11 2004 - nashif@suse.de
- Fixed copying of files from NFS
* Tue Aug 10 2004 - nashif@suse.de
- Remove obsolete file and functions
* Wed Jul 28 2004 - nashif@suse.de
- Fixed stylesheets for doc generation
- Fixed default confirmation settings
- fixed wildcards in rules
- Fixed copying of scripts from an NFS location
- V 2.10.1
* Mon Jun 07 2004 - nashif@suse.de
- Dont loop trying to copy non-existent control file (#41751)
* Mon Jun 07 2004 - nashif@suse.de
- fixed setting of bootloader data in autoyast (#41681)
- V. 2.9.44
* Thu May 27 2004 - nashif@suse.de
- Fixed images in documentation
* Thu May 27 2004 - nashif@suse.de
-  Fixed Resetting of network data
* Thu May 27 2004 - nashif@suse.de
- #41227: Use functions from yast2-bootloader when installatig
  bootloader
* Thu May 27 2004 - nashif@suse.de
- #41018: Network access in post-scripts is now possible again. Post
  scripts can run in 3 possible spots: before installation network
  is shutdown, after autoyast configures the system and after
  SuSEconfig is run
* Mon May 24 2004 - nashif@suse.de
- Fixed RAID cloning
- if rules.xml is found but no rules apply, use default rules (hexip,
  mac).
- doc updates
* Sat May 22 2004 - nashif@suse.de
- Fixed Partition cloning
- Fixed LVM cloning
- Updated DTD
* Fri May 21 2004 - nashif@suse.de
- Update DTD, Docs
- Fixed autoconf mode
* Thu May 13 2004 - nashif@suse.de
- Update neededforbuild for docbook
* Thu May 13 2004 - nashif@suse.de
- use stylesheets to generate html documentation during package
  build time
* Mon May 10 2004 - nashif@suse.de
- documenation updates
- #40067: file open dialog doesn' t display all files
  (wrong type filter)
- set reporitng behavior in continue mode after setting defaults,
  not before.
- V 2.9.40
* Tue May 04 2004 - nashif@suse.de
- merged proofread texts
- V 2.9.39
* Thu Apr 29 2004 - nashif@suse.de
- lvm over raid syntax conversion fix (#39603)
- V 2.9.38
* Wed Apr 28 2004 - nashif@suse.de
- convert lv filesystem type correctly (#39598)
* Tue Apr 27 2004 - nashif@suse.de
- Add option to halt after first stage
- Set runlevel correctly when install over serial console
* Sun Apr 18 2004 - nashif@suse.de
- Updated docs
- Use new icon for yast2 control center
* Sat Apr 17 2004 - nashif@suse.de
- Translate internal desktop files (#38234)
* Sat Apr 17 2004 - nashif@suse.de
- On IA64, always use /boot/efi as the boot partition (#36061)
* Wed Apr 07 2004 - nashif@suse.de
- Use HWAddr instead of NetHWAddr (#38581)
* Mon Apr 05 2004 - nashif@suse.de
- Use fallback kernels and use kernel computation function from
  yast2-packager
* Fri Apr 02 2004 - nashif@suse.de
- Adapted to use new wizard
- Change license to GPL
* Fri Apr 02 2004 - nashif@suse.de
- retrieve all cap mac address file  (#37980 )
- restart the control file retrieval process from scratch (#37980 )
* Thu Apr 01 2004 - nashif@suse.de
- Fixed cloning: dont add evms, use mount points from
  Storage map. (#37931)
* Wed Mar 31 2004 - nashif@suse.de
- Close dialog on cancel when importng files
* Mon Mar 29 2004 - nashif@suse.de
- Enable auto option with swap on lvm
- Set lvm2 on PVs
- Set bootloader options correctly
* Fri Mar 26 2004 - nashif@suse.de
- added missing textdomain
- updated DTD
- fixed creation of 4 primary partitions using partition_nr
* Sun Mar 21 2004 - nashif@suse.de
- added support for remote scripts
- variable based rules
- disabled button in validity checks
- dont complain about space during partition plan creation
* Thu Mar 18 2004 - nashif@suse.de
- Install LVM packages if LVM is configured
* Wed Mar 17 2004 - nashif@suse.de
- Set runlevel correctly to prevent booting into runlevel 0 (#36130)
* Tue Mar 16 2004 - nashif@suse.de
- Validity Checks
- Fstab handling improved with some additional options to prevent
  formatting of partitions with data
* Fri Mar 12 2004 - nashif@suse.de
- Added wizard icons
- new option for partitioning (read_fstab ):
  Use partitioning data from fstab, dont create partitions, just
  format them and mount them
- Image support. Use flamethrower as image server. Implemented
  flamethrower  client in ycp
- Show name of control file being retrieved
- Other fixes..
* Wed Mar 10 2004 - nashif@suse.de
- Read data from desktop files correctly. Especially for
  resource!= client cases
* Wed Mar 10 2004 - nashif@suse.de
- Workaround for new wizard
* Mon Mar 08 2004 - nashif@suse.de
- Use Sequencer and simplified main interface
* Mon Mar 08 2004 - nashif@suse.de
- Add generated docs to CVS
- removed doc tar
- install all documents
- 2.9.22
* Sun Mar 07 2004 - nashif@suse.de
- Revert last change
- 2.9.21
* Fri Mar 05 2004 - nashif@suse.de
- Install auto generated docs
- 2.9.20
* Fri Mar 05 2004 - nashif@suse.de
- stricter type checking
- Fixed alice import
- use Pkg::SetAdditionalLocales.
- 2.9.19
* Tue Mar 02 2004 - nashif@suse.de
- Removed EXTRA_PROV files, not on the CD
* Tue Mar 02 2004 - nashif@suse.de
- Type info fixes
- dont export unsupported kickstart options
- fixed storage configuration
- dtd updates
- doc updates
- 2.9.17
* Tue Feb 24 2004 - nashif@suse.de
- Re-enabled LVM and RAID
- Fixed Types
- 2.9.16
* Mon Feb 23 2004 - nashif@suse.de
- Use new kernel names
- 2.9.15
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Thu Feb 19 2004 - nashif@suse.de
- Renamed clients, following naming conventiosn for auto and
  installation clients
* Mon Feb 16 2004 - nashif@suse.de
- removed usage of variable hardBoot -> obsolete.
- 2.9.11
* Tue Feb 10 2004 - nashif@suse.de
- Fixed variable reading from desktop files
- 2.9.10
* Tue Feb 10 2004 - nashif@suse.de
- Use desktop file variables
- 2.9.9
* Tue Feb 10 2004 - nashif@suse.de
- Fixes for new interpreter
- doc updates
- 2.9.8
* Sun Feb 08 2004 - nashif@suse.de
- Fixes for new interpreter
- 2.9.7
* Sun Feb 01 2004 - nashif@suse.de
- Fixes for new interpreter
- 2.9.6
* Sun Feb 01 2004 - nashif@suse.de
- more fixes for new interpreter
- keep url for control file as, just modify path when necessary.
- 2.9.5
* Sat Jan 31 2004 - arvin@suse.de
- moved module AutoinstConfig to autoyast2-installation package
* Wed Jan 28 2004 - nashif@suse.de
- moved monitor configuration to x11
* Mon Jan 19 2004 - nashif@suse.de
- improved kickstart import
- Fixed misc. dialogs
* Sun Nov 30 2003 - nashif@suse.de
- New Interpreter Changes
- User Desktop files instead of y2cc
* Thu Sep 18 2003 - nashif@suse.de
- Fixed #31233: creating a cryptofs fails
* Wed Sep 17 2003 - nashif@suse.de
- Close installation source before post-scripts to allow installation
  of custom packages during autoinstall (#31172)
- 2.8.13
* Wed Sep 17 2003 - nashif@suse.de
- Updated docs
- Updated EXTRA_PROV
- Fixed bug when reusing non-neighbouring partitions
- Fixed bug where autoyast loads html file of directory contents
  on web server
- 2.8.12
* Sat Sep 13 2003 - nashif@suse.de
- #30678: Moved inst_startup from general workflow to autoinst_init
- Added basic yast2 module dependency sorting to fix some issues
  with late user creation and network dependencies
* Mon Sep 08 2003 - nashif@suse.de
- Dont set package selection Minimal when cloning (#29450 )
- Doc updates
- 2.8.10
* Tue Sep 02 2003 - nashif@suse.de
- Fixed post-installation: Data of several modules was overridden.
- Fixed partitioning: Some rare scnarios with raid not being deleted
- 2.8.9
* Mon Sep 01 2003 - arvin@suse.de
- use Popup::ConfirmAbort
* Thu Aug 21 2003 - nashif@suse.de
- Added autoinst_post.ycp for additional packages required by yast2
  modules
* Mon Aug 18 2003 - nashif@suse.de
- Added remove-packages feature for removing automatically selected
  packages
* Fri Aug 15 2003 - nashif@suse.de
- Fixed bug #28797: /var/lib/autoinstall is not owned by
  autoyast2-installation
- Fixed bug #28928: /tmp/profile should not be created on system
* Tue Aug 12 2003 - nashif@suse.de
- Dont not build docs
- 2.8.5
* Mon Aug 11 2003 - nashif@suse.de
- Merged proof read meassages
- 2.8.4
* Wed Aug 06 2003 - nashif@suse.de
- Add option to modify control file during installation and reload
  it after pre script is executed
* Mon Aug 04 2003 - nashif@suse.de
- Adapt to new yast2 types for ip configuration
- 2.8.3
* Tue Jul 29 2003 - nashif@suse.de
- doc updates
- with complete files one can run a script and set permissions of
  files
- 2.8.2
* Sat Jul 05 2003 - nashif@suse.de
- allow keeping lvm logical volumes
- allow resizing of lvm lvs
* Wed Jun 11 2003 - nashif@suse.de
-added dialog for optoinal hd selection during installation
-fixed file list
* Thu Jun 05 2003 - nashif@suse.de
- LVM improvements
- Make LVM part of partitioning resource
* Sat May 17 2003 - nashif@suse.de
- fixed perl script execution
- #26859: create /boot with ext3 via autoyast
- remove useless test cases
- 2.8.0
* Mon Mar 17 2003 - nashif@suse.de
- #25446: Read control file from CD-ROM if not mounted
- Copy media file to create ISO image
- Copy class directory to ISO
- return false and not `abort on errors
- updated docs
- 2.7.18
* Fri Mar 14 2003 - nashif@suse.de
- updated docs
* Thu Mar 13 2003 - nashif@suse.de
- updated EXTRA_PROV to latest 8.2 status: #25286
* Wed Mar 12 2003 - nashif@suse.de
- Start portmap if profile is on NFS (#25132)
- Handle plural messages (#24966)
- 2.7.16
* Wed Mar 12 2003 - mvidner@suse.de
- Fixed translating menu tree items and summary captions (#25142).
- Added autoinst_modules.conf to POTFILES (#25136).
* Mon Mar 10 2003 - nashif@suse.de
- doc updates and fixes
- better error handling (refixed #24795)
- Set RAID size correctly
- 2.7.15
* Fri Mar 07 2003 - nashif@suse.de
- #24795: Fixed error dialog, when profile is missing on remote server
- #24769: wrong partition id for swap
- doc fixes, added missing images
- 2.7.14
* Tue Mar 04 2003 - nashif@suse.de
- Avoid resetting of initrd modules list during bootloader import (#24380)
- Move initialization of disk to inst_prepdisk (#23607 )
- 2.7.13
* Mon Mar 03 2003 - nashif@suse.de
- Fixed cloning (#24536 )
- Doc updates
- Fixed File dialog popups (#24304)
- Updated XML list names
- 2.7.12
* Mon Feb 24 2003 - nashif@suse.de
- install alice-compat only when needed
- improved kickstart/alice import
- Completed full Compatibility to kickstart partition size options
- Fixed package selection dialogs
- doc updates
- 2.7.11
* Thu Feb 20 2003 - nashif@suse.de
- adapted spec file
- use PkgInstall to tag package as selected by user
- various fixes
- 2.7.10
* Tue Feb 18 2003 - nashif@suse.de
- Fixed bug #23746: saving files now works in text mode
- Read y2cc files in normal mode (Cloning)
* Tue Feb 18 2003 - nashif@suse.de
- added missing file to spec
- doc updates
- custom rules using scripts
- 2.7.9
* Tue Feb 18 2003 - nashif@suse.de
- More doc updates
- ask when initializing disk if confirm is true
- 2.7.8
* Fri Feb 14 2003 - nashif@suse.de
- Docuemntation upodates
- Various fixes
- Software selection
- Added config file autoyast2-installation
- 2.7.7
* Mon Feb 10 2003 - nashif@suse.de
- Changed sub-module naming scheme
- Docuemntation upodates
- Partitioning improvements
- 2.7.6
* Tue Feb 04 2003 - nashif@suse.de
- Improved cloning
- Fixed ISO creation
- Text fixes
- 2.7.5
* Tue Jan 28 2003 - nashif@suse.de
- Bootloader cloning
- Various dialog fixes
- 2.7.4
* Mon Jan 27 2003 - nashif@suse.de
- Fixed dialogs and some workflow issues
- Reintegrated classes
- 2.7.3
* Fri Jan 24 2003 - nashif@suse.de
- Fixed #23024: Missing call for Profile module
- Fixed various missing variables
- Added support for disksize rule
- refined repartitioning
- 2.7.2
* Tue Jan 21 2003 - nashif@suse.de
- New interface with a simple menu system
- Retrieve control files depending on pre-defined and user defined
  rules
- Merge Profiles on the fly and during installation
- Reworked ISO creation process
- Use Package selector for software configuration
- New external module calling scheme
- Advanced partitioning improved and extended
  * Reuse partitions without formatting
  * Destroy LVM volumes
- Clone basic data (network, authentication etc.)
- Integrated more YaST2 modules
- 2.7.1
* Thu Nov 14 2002 - nashif@suse.de
- Put prepared docs into a tar
- Merge bug fixes from 8.1
- 2.7.0
* Wed Oct 30 2002 - nashif@suse.de
- Fixed bug #21409: On SLES/UL install defaults to lilo
* Mon Oct 28 2002 - nashif@suse.de
- Fixed bug #21359: extended partitions with id 15 are not created
  when cloning
* Sun Oct 27 2002 - nashif@suse.de
- Fixed bug #20732: Dont use /tmp for writing files with fixed name.
* Mon Oct 21 2002 - nashif@suse.de
- Fixed bug #21142: remove one option from xsltproc command when merging
  classes.
- 2.6.36
* Wed Oct 02 2002 - nashif@suse.de
- sysconfig variables default to empty string and not 'dummy' (bug #20619)
- Dont check for path of source if only reading package source data (bug #20620)
- dont merge packages, addons (bug #20622)
- fixed typo while checking for start_x11 (bug #20621)
- DTD updates/fixes
- Restore Next button in classes
- added some packages to needeforbuild to convert screenshots
- verify that class names do not contain spaces (bug #20621)
* Wed Sep 25 2002 - nashif@suse.de
- Do not allow spaces in class names
- added one more missing file to spec
- 2.6.34
* Tue Sep 24 2002 - nashif@suse.de
- Fixed: Add nfs packages if NFS is configured
- Fixed: Copy package database to correct path of ISO skeleton
- Cache selection data instead of quering database twice
- Added missing configuration file to spec
* Tue Sep 17 2002 - nashif@suse.de
- doc updates
- fixed #19778: Interactive mode is default, user must change this to have fully
  automated installtion. This prevented kernel from being installed if <mode> was not
  declared.
* Thu Sep 12 2002 - nashif@suse.de
- Do not create installation source caches here, instead use source
  manager.
- 2.6.32
* Tue Sep 10 2002 - nashif@suse.de
- updated docs
- updated dtd
- added missing y2cc file to spec
- 2.6.31
* Mon Sep 09 2002 - nashif@suse.de
- provide internal packages (kernel etc) early as Proposal might not
  have been called
- doc updates
- dtd updates
- 2.6.30
* Mon Sep 09 2002 - nashif@suse.de
- added and updated DTD files
- fixed configuration of X11
- 2.6.29
* Sun Sep 08 2002 - nashif@suse.de
- delete custom scripts correctly
* Sun Sep 08 2002 - nashif@suse.de
- reduce logging
- fixed fstab options in partitioning dialog
- new control file resets old data
- 2.6.28
* Sat Sep 07 2002 - nashif@suse.de
- updated docs
- added latest create_package_descr and needed files
- check for errors and abort if something goes wrong during installation
- adapted spec file with new files
- 2.6.26
* Sat Sep 07 2002 - nashif@suse.de
- Fixed writing of XML files needed for classes (#18865).
- 2.6.27
* Sat Sep 07 2002 - mvidner@suse.cz
- Include /etc/autoinstall/ (#18865).
- 2.6.25
* Thu Sep 05 2002 - nashif@suse.de
- Fixed to create ISO images again, using latest package manager rlease
- 2.6.24
* Thu Sep 05 2002 - nashif@suse.de
- fixed error dialog for unsupported protocols for control file location
- set scheme to floppy if file found on floppy
- 2.6.23
* Wed Sep 04 2002 - nashif@suse.de
- added more list names in generated xml files
- Fix creation of extended partitions when only partition_id is known
  (for Restore module)
- Fix x11 data configuration (start_x11 was not configured)
- 2.6.22
* Tue Sep 03 2002 - nashif@suse.de
- fixed hardware clock settings
- more adaptions to package manager
- partition table sorting fixes
- 2.6.21
* Mon Sep 02 2002 - nashif@suse.de
- update docs
- added autoconf for configuring already installed systems
- RAID fixes
- 2.6.20
* Thu Aug 29 2002 - nashif@suse.de
- delete runme_at_boot in second stage
- Fixed setting of language and timezone
- write displaymanager values only if X is available
- hwclock is not boolean when importing kickstart files
- 2.6.19
* Wed Aug 28 2002 - nashif@suse.de
- remove checking for X11
- set locale for package manager
- doc updates
- 2.6.18
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Tue Aug 27 2002 - fehr@suse.de
- add change necessary due to change in auto_part_create.ycp of
  storage module.
* Tue Aug 27 2002 - nashif@suse.de
- fixed return value from main menu
- 2.6.17
* Tue Aug 27 2002 - nashif@suse.de
- commit software selections
- adapted ISO creation to new CD layout
- 2.6.16
* Mon Aug 26 2002 - nashif@suse.de
- partitioning fixes
- 2.6.15
* Sat Aug 24 2002 - nashif@suse.de
- fixed progress bar ordering
- control file can now be stored on a storage device
- fixed error dialog
* Wed Aug 21 2002 - nashif@suse.de
- adaptions to new packager (installer only)
- partitioning fixes
- V 2.6.14
* Mon Aug 19 2002 - nashif@suse.de
- bug #17801 fixed: Added PreReq
- doc updates
- bootloader fixes (now taking grub into account)
- post installation now works again
* Wed Aug 14 2002 - nashif@suse.de
- fixed packages needed for build
- misc doc updates
- actiavte dead buttons
- proof-read texts for translation
- 2.6.12
* Mon Aug 12 2002 - nashif@suse.de
- sysconfig variable configuration
- kernel module configuration
- 2.6.11
* Tue Aug 06 2002 - nashif@suse.de
- Fixed package selection in when cloning
- Partitioning updates
- 2.6.10
* Mon Aug 05 2002 - nashif@suse.de
- More adaptions to latest yast2 state
- doc updates
- added support for configuration options (nfs_server)
- 2.6.9
* Mon Jul 29 2002 - nashif@suse.de
- RAID support added
- LVM improvements and rewrite
- Kickstart import imporovements
- 2.6.8
* Tue Jul 23 2002 - nashif@suse.de
- help text fixes & updates
- Kickstart/Alice Import improvments
- 2.6.7
* Mon Jul 22 2002 - nashif@suse.de
- doc updates
- create ISO
- workflow fixes
- partitioning enhancements
- 2.6.6
* Mon Jul 15 2002 - nashif@suse.de
- doc changes
- readded X11 configuration (WOP)
- added more help texts
- Added more summaries
- Fixed post-install part
- 2.6.5
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
- 2.6.4
* Sat Jul 06 2002 - nashif@suse.de
- Alice import improvements
- Import redhat kickstart files
- Changed package dependencies
- 2.6.3
* Thu Jul 04 2002 - nashif@suse.de
- Created package with new dev tools
- 2.6.2
* Wed Jul 03 2002 - nashif@suse.de
- Merged yast2-config-autoinst and yast2-module-autoinst
- Alice Configuration Imports
- Linuxrc Options and 'info' file creation
- Adaption to new structure of yast2
* Wed May 29 2002 - nashif@suse.de
- Run post-install depending on installed modules
- Use yast2-lib-xml instead of using XML agent directly
- Improved automated partitioning
- Rely on yast2-lib-network instead of custom code
* Wed Apr 17 2002 - nashif@suse.de
- fixed parsing of command line parameters, now also parse port number
  and handle colon in url
- In failure pop-up default to previously selected protocol
* Tue Mar 26 2002 - nashif@suse.de
- handle default behaviour (distinguish between medium root and installation
  root)
* Tue Mar 26 2002 - nashif@suse.de
- Through fix for #15430, runme_at_boot is not deleted in autoinst mode (inst_root is
  not called in autoinst mode). Remove runme_at_boot here
* Tue Mar 26 2002 - nashif@suse.de
- If a file referenced with file:// is not found on source medium, try to find it
  relative to the mount root/installation system
* Mon Mar 25 2002 - nashif@suse.de
- Fixed bug: Copy control file if specified with file:// from the right
  source location
- Fixed bug: return error if control file not found with file://
- indent code
- doc updates
* Tue Mar 19 2002 - nashif@suse.de
- finalized documentation
- default pesize for LVM is 4M and not 0
- bug #15082: Added call for missing printconf in post-intallation
* Fri Mar 15 2002 - nashif@suse.de
- Fixed bug #15005: Use /var/adm/autoinstall/logs instead of
  /var/adm/autoinstall/inst-logs for logging output of post scripts
- Documentation updates
- 2.5.18
* Mon Mar 04 2002 - nashif@suse.de
- Doc updates
- 2.5.17
* Sun Mar 03 2002 - nashif@suse.de
- added md5 support (bug #13250)
- added reboot options to force reboot after auto-installation
- Fixed problem with profile retrieval where functions returned false
  when they had to return true!
- use profile as id for sgml references instead of default one
* Thu Feb 28 2002 - nashif@suse.de
- Fixed bug#14084
* Thu Feb 28 2002 - nashif@suse.de
- Set the langauge correctly using the Language module
- Added debug messages in setup client
- Removed unused User module from autoinst_setup
- doc updates
* Tue Feb 26 2002 - nashif@suse.de
- use Language::language instead of Installation::Language
- Set selection to Minimal if nothing is declared
- Check for configured X11 correctly
* Mon Feb 18 2002 - nashif@suse.de
- use network data from installMap instead of scr
- doc updates
* Wed Feb 13 2002 - nashif@suse.de
- doc updates
- completed feature to have complete conf files which
  can be copied anywhere in the installed system
- completed feature to add any sysconfig variable given the path, key
  and value
- script directories are now created in the spec file
* Tue Feb 12 2002 - nashif@suse.de
- Create only selected partitions, if specified in control file
- 2.5.15
* Mon Feb 11 2002 - nashif@suse.de
- doc updates
- configure runlevel, inetd
- 2.5.14
* Tue Feb 05 2002 - nashif@suse.de
- Updated documentation. now with a reference
- 2.5.13
* Mon Feb 04 2002 - nashif@suse.de
- Fixed documentation and images
- 2.5.12
* Mon Feb 04 2002 - nashif@suse.de
- Partitioning modifications
- Code cleanup
- 2.5.11
* Mon Jan 28 2002 - nashif@suse.de
- X11 configuration updates
- Package selection updates
- Bootloader configuration finalized
- 2.5.10
* Fri Jan 25 2002 - nashif@suse.de
- Option to initialize disks added
- Removed dependency on XML agent
- Updated docs
* Mon Jan 21 2002 - nashif@suse.de
- Adapted to latest version of YaST2
- non-SuSE package handling
- Post-install improvements( Mail)
- preview version
* Tue Jan 15 2002 - nashif@suse.de
- Handle packages in package module
- Fixed Makefile.am for documentation
- Mail directive parsing improvements
* Mon Jan 14 2002 - nashif@suse.de
- SGML Documentation
- control file changes (report directive )
* Sun Jan 13 2002 - nashif@suse.de
- X11 Support
- Various post-install additions (nis, nis+, mail, security etc.)
- XML Parser improvements
* Tue Jan 08 2002 - nashif@suse.de
- Added LVM Support
- Execute user-defined scripts before system first boot
- Make all the way to the login prompt :-)
* Thu Jan 03 2002 - nashif@suse.de
- Split module to installation and configuration parts
* Mon Nov 19 2001 - nashif@suse.de
- Fix lookup defaults
* Mon Oct 22 2001 - nashif@suse.de
- initial version
